package com.keao.edu.im.pojo;

import com.keao.edu.common.enums.BaseEnum;

public enum RongCodeEnum implements BaseEnum<String, RongCodeEnum> {
    NO_IN_ROOM("40001", "操作的用户已经不在该房间了"),
    internal_error("40002", "服务器内部错误"),
    NOT_ROOM("40003","没有该房间"),
    USER_ID_NULL("40004", "用户id是空"),
    LIMIT_ERROR("40005", "房间人数超过限制"),
    PARAM_ERROR("40006", "请求的参数错误"),
    TOKEN_ERROR("40007", "token编解码错误"),
    DB_ERROR("40008", "暂时没有这个错误的抛出"),
    JSON_ERROR("40009", "解析json失败"),
    NOT_OPEN_VOICE_ERROR("400010", "用户没有开通音视频服务"),
    ROOM_TYPE_ERROR("400011", "加入房间的类型错误"),
    USER_NOT_HAVE_AUTH("400012", "用户没有被授权（混合云）"),
    NOT_CONFIG_MCU_ADDRESS("400015", "没有配置混流地址"),
    NOT_ALLOW_VIDEO_BROADCAST("400016", "不允许开启视频直播"),
    NOT_ALLOW_VOICE_BROADCAST("400017", "不允许开启音频直播"),
    GET_TOKEN_FAILED("400018", "生成token失败"),
    USER_IS_BLOCKED("400021", "用户被封禁");

    private String code;

    private String msg;

    RongCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }}
